Subject: Help files

From: [email-masked]
Date: Tue, 20 Jul 1999 11:04:13 -0400

In the editor I use (Visual SlickEdit), it is possible to set up keyword help,
such that typing the appropriate key when the cursor is on a language-specific
keyword pops up the help for that keyword.  It is set up to use Windows Help
files, but I can work around that to use HTML or PDF files---if these are
indexed.  Unfortunately, neither the HTML nor the PDF haltversion of the
Swi-Prolog manual seems to have an index (the INDEX.HTML file is empty, and
there is no .PDX file).  Does anyone have an index file for either of these?

BTW, I think I can set my editor up to run the Prolog help/1 predicate on the
keyword (i.e. I run the command line "PLWIN.EXE -g help(recorda).").  That's
part way there, but there are of course no hyperlinks in the results returned by
help/1.  I guess there aren't hyperlinks in the PDF file, either, so the HTML
solution would be preferable.

                            Mike Maxwell
                            [email-masked]
                            Summer Institute of Linguistics